Menu & Products
6 API calls in this section.
Get Menu
/public/restaurant/:slug/menuLoad a restaurant’s public menu, optionally narrowed to a category.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
category_id | string | Example: |
page | string | Example: |
limit | string | Example: |
Response examples
No saved response example. Use Try it to inspect a staging response.
List Categories
/public/restaurant/:slug/categoriesBrowse public restaurant categories for catalog navigation.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | string | Example: |
limit | string | Example: |
parent_id | string | Example: |
is_active | string | Example: |
includeAvailableCounts | string | Example: |
search | string | Example: |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/categories?page=${PAGE}&limit=${LIMIT}&parent_id=${PARENT_ID}&is_active=${IS_ACTIVE}&includeAvailableCounts=${INCLUDEAVAILABLECOUNTS}&search=${SEARCH}"Response examples
No saved response example. Use Try it to inspect a staging response.
List Menus
/public/restaurant/:slug/menusBrowse the menus listed for a restaurant.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | string | Example: |
limit | string | Example: |
search | string | Example: |
lang | string | Example: |
Response examples
No saved response example. Use Try it to inspect a staging response.
List Products
/public/restaurant/:slug/productsBrowse public restaurant products by menu, category or search term.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | string | Example: |
limit | string | Example: |
menu_id | string | Example: |
category_id | string | Example: |
search | string | Example: |
lang | string | Example: |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/products?page=${PAGE}&limit=${LIMIT}&menu_id=${MENU_ID}&category_id=${CATEGORY_ID}&search=${SEARCH}&lang=${LANG}"Response examples
No saved response example. Use Try it to inspect a staging response.
Get Product (by ID path)
/public/restaurant/:slug/products/:productIdReturns product details including ingredients.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
productIdRequired | string | Dynamic path value from the request URL. |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/products/${PRODUCTID}"Response examples
No saved response example. Use Try it to inspect a staging response.
Get Product (by sku or product_id query)
/public/restaurant/:slug/products/productReturns product details including ingredients.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
sku | string | Example: |
product_id | string | Example: |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/products/product?sku=${SKU}&product_id=${PRODUCT_ID}"Response examples
No saved response example. Use Try it to inspect a staging response.